::#############################################################
::
:: Compilation of MonolithFEsqr
::
::############################################################
::
SET MATERIAL=Mises
CALL :abspath UELlibDIR "..\uellib\lib\"
CALL :abspath UELDIR "..\uel-large-deformation\src\"
CALL :abspath MATERIALDIR "..\uel-large-deformation\materialroutines\%MATERIAL%"
SET INCLUDE=%UELlibDIR%;%UELDIR%;%MATERIALDIR%
chdir src
CALL abaqus make library=UMATmacro.f
del standardU.dll
move /Y UMATmacro-std.obj ..\bin\
chdir ..\

::Function to get absolute path
:abspath
set %~1=%~f2
EXIT /B 0